#include <bits/stdc++.h>
using namespace std;
long long n,q,c;
long long l[100005], r[100005];
string s[100005];
int main(){
    cin>>n>>c>>q;
    cin>>s[abs(n) ];
    for(int i=1;i<=q;i++){
        cin>>l[i]>>r[i];
    cout<<1<<endl;
    }





    return 0;
}